import * as $dara from '@darabonba/typescript';
export declare class CreateNatGatewayResponseBodyForwardTableIds extends $dara.Model {
    forwardTableId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateNatGatewayResponseBodyFullNatTableIds extends $dara.Model {
    fullNatTableId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateNatGatewayResponseBodySnatTableIds extends $dara.Model {
    snatTableId?: string[];
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
export declare class CreateNatGatewayResponseBody extends $dara.Model {
    forwardTableIds?: CreateNatGatewayResponseBodyForwardTableIds;
    fullNatTableIds?: CreateNatGatewayResponseBodyFullNatTableIds;
    /**
     * @remarks
     * The ID of the NAT gateway.
     *
     * @example
     * ngw-112za33e4****
     */
    natGatewayId?: string;
    /**
     * @remarks
     * The request ID.
     *
     * @example
     * 2315DEB7-5E92-423A-91F7-4C1EC9AD97C3
     */
    requestId?: string;
    snatTableIds?: CreateNatGatewayResponseBodySnatTableIds;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
